/*resize*/

.resize {
    margin: 0;
    padding: 0;
}

body {
    color: @clr8;
    font-size: 16px;
    a {
        text-decoration: none !important;
    }
    ::-moz-selection {
        background: @clr2;
    }
    ::selection {
        background: @clr2;
    }
}


/*colors*/

@clr1: #ffaf1b;
@clr2: #f8981b;
@clr3: #cc5d1a;
@clr4: #983a1a;
@clr5: #5a1715;
@clr6: #400f12;
@clr7: #350c0e;
@clr8: #210002;

/*paralax*/

.container_parallax {
    position: relative;
}

.class_parallax(@url, @layer) {
    position: fixed;
    z-index: @layer;
    display: block;
    width: 100%;
    height: 100%;
    background: url(@url) center center no-repeat;
    background-size: cover;
}

.parallax_item:nth-child(1) {
    .class_parallax('../img/avers/10.png', -10);
}

.parallax_item:nth-child(2) {
    .class_parallax('../img/avers/9.png', -9);
}

.parallax_item:nth-child(3) {
    .class_parallax('../img/avers/8.png', -8);
}

.parallax_item:nth-child(4) {
    .class_parallax('../img/avers/7.png', -7);
}

.parallax_item:nth-child(5) {
    .class_parallax('../img/avers/6.png', -6);
}

.parallax_item:nth-child(6) {
    .class_parallax('../img/avers/5.png', -5);
}

.parallax_item:nth-child(7) {
    .class_parallax('../img/avers/4.png', -4);
}

.parallax_item:nth-child(8) {
    .class_parallax('../img/avers/3.png', -3);
}

.parallax_item:nth-child(9) {
    .class_parallax('../img/avers/2.png', -2);
}

.parallax_item:nth-child(10) {
    .class_parallax('../img/avers/1.png', -1);
    position: absolute;
}


/*бар навигации*/

.navbar__transition {
    padding-top: 30px;
    -webkit-transition: all 0.4s;
    transition: all 0.4s;
}

.navbar__transition-pgt {
    padding-top: 0;
    background: @clr3;
}

.link__style {
    a {
        -webkit-transition: all .4s;
        transition: all .4s;
        padding: 15px 30px !important;
        font-size: 16px;
        color: @clr7;
        &:focus,
        &:hover {
            background: @clr2 !important;
            color: @clr5 !important;
        }
    }
    .btn-cont {
        background: @clr3;
        .btn-item {
            background: @clr4;
        }
    }
}


/*шапка контента*/

.head {
    position: relative;
    height: 400px;
    background: @clr8;
    transition: all 1s;
    .head__text {
        position: absolute;
        top: 50%;
        left: 50%;
        -webkit-transform: translate(-50%, -50%);
        -ms-transform: translate(-50%, -50%);
        transform: translate(-50%, -50%);
        h1 {
            color: @clr4;
            padding: 10px;
            border: 2px solid @clr3;
        }
        h6 {
            position: relative;
            width: 200px;
            margin: -20px auto;
            padding: 10px;
            background: @clr3;
            color: @clr7;
        }
    }
}


/*тело контента*/

.body__content {
    position: relative;

    color: @clr2;
    a {
        -webkit-transition: all .4s;
        transition: all .4s;
        color: @clr3;
        &:focus,
        &:hover {
            color: @clr4 ;
        }
    }
    .body__left {
        padding: 15px;
        background: @clr5;
        .body__right__table > tbody > tr > td {
            border: 0;
        }
        .body__right__table tr:nth-child(odd) {
            background: @clr4;
        }
        /*прогрес бар*/
        .progras-bar {
            max-width: 770px;
            height: 10px;
            margin: 15px;
            background: @clr3;
            .progras-bar__value {
                height: 100%;
                background: @clr4;
            }
        }
    }
    .body__right {
        position: absolute;
        right: 0;
        height: 100%;
        padding: 15px;
        text-align: center;
        background: @clr6;
    }
}


/*анимация фотографии*/

.photo {
    width: 300px;
    height: 300px;
    margin: auto;
    border-radius: 50%;
}

.photo__contain {
    position: relative;
    -webkit-transform-style: preserve-3d;
    -ms-transform-style: preserve-3d;
    transform-style: preserve-3d;
    .photo;
    .photo__contain-avers {
        position: absolute;
        background: url('../img/photo__avers.png') center center no-repeat;
        background-size: cover;
        .photo;
    }
    .photo__contain-revers {
        position: absolute;
        background: url('../img/photo__revers.png') center center no-repeat;
        background-size: cover;
        .photo;
    }
    .photo__contain-avers,
    .photo__contain-revers {
        cursor: pointer;
        -webkit-transition: all 1s;
        transition: all 1s;
        -webkit-transform: perspective(800px);
        -ms-transform: perspective(800px);
        transform: perspective(800px);
        backface-visibility: hidden;
    }
    .photo__contain-avers {
        -webkit-transform: perspective(800px) rotate3d(0, 1, 0, 0deg);
        -ms-transform: perspective(800px) rotate3d(0, 1, 0, 0deg);
        transform: perspective(800px) rotate3d(0, 1, 0, 0deg);
    }
    .photo__contain-revers {
        -webkit-transform: perspective(800px) rotate3d(0, 1, 0, 180deg);
        -ms-transform: perspective(800px) rotate3d(0, 1, 0, 180deg);
        transform: perspective(800px) rotate3d(0, 1, 0, 180deg);
    }
}

.photo__contain:hover .photo__contain-avers {
    -webkit-transform: perspective(800px) rotate3d(0, 1, 0, -180deg);
    -ms-transform: perspective(800px) rotate3d(0, 1, 0, -180deg);
    transform: perspective(800px) rotate3d(0, 1, 0, -180deg);
}

.photo__contain:hover .photo__contain-revers {
    -webkit-transform: perspective(800px) rotate3d(0, 1, 0, 0deg);
    -ms-transform: perspective(800px) rotate3d(0, 1, 0, 0deg);
    transform: perspective(800px) rotate3d(0, 1, 0, 0deg);
}


/*хобби*/

.wrapp__hobbies {
    color: @clr4;
    width: 100%;
    ui {
        display: inline-block;
    }
    .hobbies {
        cursor: pointer;
        display: inline-block;
        width: 120px;
        height: 120px;
        margin: 15px;
        border-radius: 50%;
        background: @clr5;
        -webkit-transition: all .4s;
        transition: all .4s;
        &:hover {
            -webkit-transform: rotate3d(0, 0, 1, 360deg);
            -ms-transform: rotate3d(0, 0, 1, 360deg);
            transform: rotate3d(0, 0, 1, 360deg);
        }
        i {
            display: block;
            width: 100%;
            font-size: 40px;
            line-height: 50px;
            padding-top: 30px;
        }
    }
}


/*форма*/

.input-ps {
    opacity: .6;
    color: @clr4;
}

.call {
    padding: 15px;
    color: @clr2;
    background: @clr3;
    a {
        -webkit-transition: all .4s;
        transition: all .4s;
        color: @clr5;
        &:hover {
            color: @clr4;
        }
    }
    & a:hover input::-webkit-input-placeholder {
        .input-ps;
    }
    & input::-moz-placeholder {
        .input-ps;
    }
    & input::-ms-input-placeholder {
        .input-ps;
    }
    & input::-webkit-input-placeholder {
        .input-ps;
    }
    & input::-moz-placeholder {
        .input-ps;
    }
    & input:-ms-input-placeholder {
        .input-ps;
    }
    & input::placeholder {
        .input-ps;
    }
    & button,
    & input,
    & textarea {
        resize: none;
        -webkit-transition: all 1s;
        transition: all 1s;
        resize: none;
        font-size: 16px;
        color: @clr4;
        border-color: @clr3;
        background: @clr2;
    }
    & button:hover,
    & button:active,
    & input:focus,
    & textarea:focus {
        border-color: @clr4;
        box-shadow: 0 0px 9px rgba(0, 0, 0, .5);
    }
    .name__error,
    .email__error {
        display: none;
    }
    .call__head {
        padding: 30px;
        text-align: center;
    }
}


/*панелька*/

.pop-up__contain {
    position: fixed;
    display: none;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 3000;
    .custom__btn {
        position: absolute;
        display: inline-block;
        margin-top: -20px;
        margin-right: -20px;
        width: 40px;
        height: 40px;
        top: 0;
        right: 0;
        border-radius: 50%;
        border-top: 2px solid @clr4;
        border-right: 2px solid @clr4;
        border-bottom: 2px solid @clr4;
        border-left: 2px solid @clr4;
        i {
            font-size: 16px;
        }
    }
    .pop-up__fone {
        position: absolute;
        width: 100%;
        height: 100%;
        background: rgba(0, 0, 0, .5);
    }
    .pop-up__panel__custom {
        position: absolute;
        top: 50%;
        left: 50%;
        min-width: 320px;
        -webkit-transform: translate(-50%, -50%);
        -ms-transform: translate(-50%, -50%);
        transform: translate(-50%, -50%);
        border: 2px solid @clr5;
        div {
            border: 0;
        }
        .pop-up__panel__head {
            background: @clr4;
        }
        .pop-up__panel__body {
            background: @clr3;
        }
    }
}


/*контент футера футер*/

.footer {
    position: relative;
    height: 100px;
    color: @clr5;
    background: @clr1;
    .footer__content {
        position: absolute;
        top: 50%;
        left: 50%;
        -webkit-transform: translate(-50%, -50%);
        -ms-transform: translate(-50%, -50%);
        transform: translate(-50%, -50%);
    }
}


/*Кнопка го АП*/

.go-up {
    -webkit-transition: all .4s;
    transition: all .4s;
    position: fixed;
    display: none;
    right: 30px;
    bottom: 30px;
    height: 60px;
    width: 60px;
    opacity: .6;
    background: @clr5;
    text-align: center;
    line-height: 60px;
    font-size: 30px;
    a {
        -webkit-transition: all .4s;
        transition: all .4s;
        color: @clr8;
        &:hover {
            color: @clr4;
        }
    }
}


/*анимация имени*/

.animation {
    -webkit-animation: tada 1s 1;
    animation: tada 1s 1;
}

@-webkit-keyframes tada {
    0% {
        -webkit-transform: scale3d(1, 1, 1);
        -ms-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }
    10%,
    20% {
        -webkit-transform: scale3d(.9, .9, .9) rotate3d(0, 0, 1, -3deg);
        -ms-transform: scale3d(.9, .9, .9) rotate3d(0, 0, 1, -3deg);
        transform: scale3d(.9, .9, .9) rotate3d(0, 0, 1, -3deg);
    }
    30%,
    50%,
    70%,
    90% {
        -webkit-transform: scale3d(1.1, 1.1, 1.1) rotate3d(0, 0, 1, 3deg);
        -ms-transform: scale3d(1.1, 1.1, 1.1) rotate3d(0, 0, 1, 3deg);
        transform: scale3d(1.1, 1.1, 1.1) rotate3d(0, 0, 1, 3deg);
    }
    40%,
    60%,
    80% {
        -webkit-transform: scale3d(1.1, 1.1, 1.1) rotate3d(0, 0, 1, -3deg);
        -ms-transform: scale3d(1.1, 1.1, 1.1) rotate3d(0, 0, 1, -3deg);
        transform: scale3d(1.1, 1.1, 1.1) rotate3d(0, 0, 1, -3deg);
    }
    100% {
        -webkit-transform: scale3d(1, 1, 1);
        -ms-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }
}

@keyframes tada {
    0% {
        -webkit-transform: scale3d(1, 1, 1);
        -ms-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }
    10%,
    20% {
        -webkit-transform: scale3d(.9, .9, .9) rotate3d(0, 0, 1, -3deg);
        -ms-transform: scale3d(.9, .9, .9) rotate3d(0, 0, 1, -3deg);
        transform: scale3d(.9, .9, .9) rotate3d(0, 0, 1, -3deg);
    }
    30%,
    50%,
    70%,
    90% {
        -webkit-transform: scale3d(1.1, 1.1, 1.1) rotate3d(0, 0, 1, 3deg);
        -ms-transform: scale3d(1.1, 1.1, 1.1) rotate3d(0, 0, 1, 3deg);
        transform: scale3d(1.1, 1.1, 1.1) rotate3d(0, 0, 1, 3deg);
    }
    40%,
    60%,
    80% {
        -webkit-transform: scale3d(1.1, 1.1, 1.1) rotate3d(0, 0, 1, -3deg);
        -ms-transform: scale3d(1.1, 1.1, 1.1) rotate3d(0, 0, 1, -3deg);
        transform: scale3d(1.1, 1.1, 1.1) rotate3d(0, 0, 1, -3deg);
    }
    100% {
        -webkit-transform: scale3d(1, 1, 1);
        -ms-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }
}
